<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>s_4_bigint</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="percents_3_bigint.html">&lt;&lt; s_3_bigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percents_a_bigint.html">s_a_bigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a> &gt; s_4_bigint</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">s_4_bigint</h1>
    <p class="refpurpose">overloading  compatibility for ≥ (greater or equal) operator with double/bigint</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">y :</span>
            <dd><p class="para">bigint</p></dd></dt>
        <dt><span class="term">x :</span>
            <dd><p class="para">double(scalar)</p></dd></dt>
        <dt><span class="term">bool :</span>
            <dd><p class="para">boolean</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">double/bigint &#0034;greater or equal&#0034; operator</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabnumber">12345678</span>
<span class="scilabid">y</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">123456789</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">x</span><span class="scilaboperator">&#0062;=</span><span class="scilabid">y</span>  <span class="scilabcomment">//  false</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabnumber">1234567890</span>
<span class="scilabid">x</span><span class="scilaboperator">&#0062;=</span><span class="scilabid">y</span> <span class="scilabcomment">// true</span>
<span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilaboperator">*</span><a class="scilabcommand" href="scilab://ones">ones</a><span class="scilabopenclose">(</span><span class="scilabnumber">2</span><span class="scilabdefault">,</span><span class="scilabnumber">2</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilaboperator">&#0062;=</span><span class="scilabid">y</span>  <span class="scilabcomment">// matrix case</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="mbigint.html" class="link">mbigint</a></li>
   <li class="member"><a href="bigint_4_bigint.html" class="link">bigint_4_bigint</a></li>
   <li class="member"><a href="mbigint_4_bigint.html" class="link">mbigint_4_bigint</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="percents_3_bigint.html">&lt;&lt; s_3_bigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percents_a_bigint.html">s_a_bigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
